## hb-coretext hb-coretext — CoreText integration |

## Functions

hb_face_t * | hb_coretext_face_create ()
hb_font_t * | hb_coretext_font_create ()
CGFontRef | hb_coretext_face_get_cg_font ()
CTFontRef | hb_coretext_font_get_ct_font ()

## Types and Values

#define | HB_CORETEXT_TAG_KERX
#define | HB_CORETEXT_TAG_MORT
#define | HB_CORETEXT_TAG_MORX

## Includes

    #include <hb-coretext.h>

## Description

Functions for using HarfBuzz with the CoreText fonts.

## Functions

### hb_coretext_face_create ()

    hb_face_t *
    hb_coretext_face_create (CGFontRef cg_font);

Creates an hb_face_t face object from the specified CGFontRef.

#### Parameters

cg_font | The CGFontRef to work upon |

#### Returns

the new hb_face_t face object

Since: 0.9.10

### hb_coretext_font_create ()

    hb_font_t *
    hb_coretext_font_create (CTFontRef ct_font);

Creates an hb_font_t font object from the specified CTFontRef.

#### Parameters

ct_font | The CTFontRef to work upon |

#### Returns

the new hb_font_t font object

Since: 1.7.2

### hb_coretext_face_get_cg_font ()

    CGFontRef
    hb_coretext_face_get_cg_font (hb_face_t *face);

Fetches the CGFontRef associated with an hb_face_t face object

#### Parameters

face | The hb_face_t to work upon |

#### Returns

the CGFontRef found

Since: 0.9.10

### hb_coretext_font_get_ct_font ()

    CTFontRef
    hb_coretext_font_get_ct_font (hb_font_t *font);

Fetches the CTFontRef associated with the specified hb_font_t font object.

#### Parameters

font | hb_font_t to work upon |

#### Returns

the CTFontRef found

Since: 0.9.10

## Types and Values

### HB_CORETEXT_TAG_KERX

    #define HB_CORETEXT_TAG_KERX HB_TAG('k','e','r','x')

The hb_tag_t tag for the `kerx` (extended kerning) table, which holds AAT kerning information.

For more information, see https://developer.apple.com/fonts/TrueType-Reference-Manual/RM06/Chap6kerx.html

### HB_CORETEXT_TAG_MORT

    #define HB_CORETEXT_TAG_MORT HB_TAG('m','o','r','t')

The hb_tag_t tag for the `mort` (glyph metamorphosis) table, which holds AAT features.

For more information, see https://developer.apple.com/fonts/TrueType-Reference-Manual/RM06/Chap6mort.html

### HB_CORETEXT_TAG_MORX

    #define HB_CORETEXT_TAG_MORX HB_TAG('m','o','r','x')

The hb_tag_t tag for the `morx` (extended glyph metamorphosis) table, which holds AAT features.

For more information, see https://developer.apple.com/fonts/TrueType-Reference-Manual/RM06/Chap6morx.html